#top-bar {
  position: sticky;
  top: 0;
  width: 100%;
  z-index: 999;
  background: color-mix(
    in srgb,
    var(--pico-background-color) 90%,
    gray 10%
  );
  font-size: 0.875rem;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  gap: 1rem;
  padding: 0.5rem;
}

#icon {
  width: 2rem;
  cursor: pointer;
}

#app-name {
  font-size: 1rem;
  font-weight: bold;
  margin-left: 0;
  margin-right: auto;
  color: var(--pico-contrast);
  text-decoration: none;
  cursor: pointer;
}

#theme {
  color: var(--pico-contrast);
  margin-left: auto;
  margin-right: 0;
  cursor: pointer;
  user-select: none;
}

#user-name {
  font-size: 1rem;
  font-weight: bold;
  white-space: nowrap;
  color: var(--pico-contrast);
  text-decoration: none;
  max-width: 18%;
}

@media (max-width: 60rem) {
  #user-name {
    max-width: none;
  }
}